> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bibleit.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bibleit.dev/_mcp/server.

# Read OAuth authorization-server metadata

GET https://bibleit.app/.well-known/oauth-authorization-server

Issuer derives from configured BIBLEIT_PUBLIC_URL/http_public_origin; HTTPS required except literal loopback development. Public registered clients only, token authentication method none. No dynamic registration endpoint.

**Response headers:**

- `Cache-Control` (200).
- `Referrer-Policy` (200).
- `Pragma` (200).

Reference: https://docs.bibleit.dev/api-reference/o-auth/get-o-auth-metadata

## Response

### 200

Authorization-server metadata.

- `issuer` (string, required)
- `authorization_endpoint` (string, required)
- `token_endpoint` (string, required)
- `revocation_endpoint` (string, required)
- `response_types_supported` (list of enum, required)
  - Allowed values: `code`
- `grant_types_supported` (list of enum, required)
  - Allowed values: `authorization_code`, `refresh_token`
- `token_endpoint_auth_methods_supported` (list of enum, required)
  - Allowed values: `none`
- `revocation_endpoint_auth_methods_supported` (list of enum, required)
  - Allowed values: `none`
- `code_challenge_methods_supported` (list of enum, required)
  - Allowed values: `S256`
- `scopes_supported` (list of enum, required)
  - Allowed values: `identity.read`, `offline_access`, `translation.list`, `translation.get`, `translation.read`, `translation.search`, `live.list`, `live.get`, `live.create`, `live.update`, `live.delete`
- `authorization_response_iss_parameter_supported` (true, required)

## Examples

**Response**

```json
{
  "issuer": "string",
  "authorization_endpoint": "string",
  "token_endpoint": "string",
  "revocation_endpoint": "string",
  "response_types_supported": [
    "code"
  ],
  "grant_types_supported": [
    "authorization_code"
  ],
  "token_endpoint_auth_methods_supported": [
    "none"
  ],
  "revocation_endpoint_auth_methods_supported": [
    "none"
  ],
  "code_challenge_methods_supported": [
    "S256"
  ],
  "scopes_supported": [
    "identity.read"
  ],
  "authorization_response_iss_parameter_supported": true
}
```

**SDK Code**

```python
import requests

url = "https://bibleit.app/.well-known/oauth-authorization-server"

response = requests.get(url)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://bibleit.app/.well-known/oauth-authorization-server"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```